API DocumentationManufacturer part revision controller

Upload part revision

Uploads a 3D model file for analysis and creates a new part revision

PUT
/api/manufacturer/v1/part-revision/upload
AuthorizationBearer <token>

In: header

Query Parameters

designId?string

ID of the design to associate with this revision (optional)

Formatuuid
customerOrganisationId?integer

ID of the customer organization (optional)

Formatint64

Header Parameters

X-Filenamestring

Original filename of the file

filefile

3D model file to upload

Formatbinary

Response Body

curl -X PUT "http://m-api-dev.phas.io/api/manufacturer/v1/part-revision/upload?designId=497f6eca-6276-4993-bfeb-53cbbbba6f08&customerOrganisationId=0" \  -H "X-Filename: string" \  -H "Content-Type: application/json" \  -d '{    "file": "string"  }'
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty
Empty

Last updated on